Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request DELETE \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/orders/{publicOrder}/credits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 228768.7789557
}
'import requests
url = "https://apigw.ipxo.com/ecommerce/public/{user_id}/orders/{publicOrder}/credits"
payload = { "amount": 228768.7789557 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 228768.7789557})
};
fetch('https://apigw.ipxo.com/ecommerce/public/{user_id}/orders/{publicOrder}/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "922ddf53-1b30-3ec6-9de6-48360705cf69",
"status": "draft",
"placed_at": "2025-08-16T04:44:15.0000000+00:00",
"expires_at": "2026-03-11T14:05:31.0000000+00:00",
"sub_total": {
"currency": "USD",
"amount": "2172.00",
"amount_minor": 217200
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"tax_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"credits_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total": {
"currency": "USD",
"amount": "2172.00",
"amount_minor": 217200
},
"remaining_total": {
"currency": "USD",
"amount": "2172.00",
"amount_minor": 217200
},
"total_before_tax": {
"currency": "USD",
"amount": "2172.00",
"amount_minor": 217200
},
"tax_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Tax",
"name": "some-tax",
"rate": 10,
"calculator_type": "percent"
}
],
"discount_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Discount",
"name": "some-discount",
"rate": 10,
"calculator_type": "percent"
}
]
}
}Remove Credits from Order
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
228768.7789557
Show child attributes